let isPrime (n : int) : bool =
  (* Returns true if n has no divisors between m and sqrt n inclusive. *)
  let rec noDivisors (m : int) : bool =
    m * m > n || (n mod m != 0 && noDivisors (m + 1)) in
  n >= 2 && noDivisors 2
