(* tuples *)
let x = (3, "hi", true)

(* let *)
let z = 3

(* uncurried *)
let longEnough (str, len) = String.length str >= len

(* curried *)
let longEnough str len = String.length str >= len

(* anonymous functions *)
let square x = x * x
let square = fun x -> x * x

(* higher order functions and values *)
let twice f = fun x -> f (f x)
let twice f x = f (f x)
let fourth = twice square
let fourth = twice (fun x -> x * x)
